org.apache.sling.bgservlets.impl.servlets

## Class JobInfoServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - org.apache.sling.api.servlets.SlingSafeMethodsServlet
    - - org.apache.sling.bgservlets.impl.servlets.JobInfoServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    @Service
    @Properties(value={@Property(name="sling.servlet.resourceTypes",value="sling/bg/job"),@Property(name="sling.servlet.methods",value="GET")})
    public class JobInfoServlet
    extends org.apache.sling.api.servlets.SlingSafeMethodsServlet

Default rendering of a job node in various formats, meant to be displayed when the job is started.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `DEFAULT_ENCODING`
`static String` `DEFAULT_EXT`

### Constructor Summary

Constructors
Constructor and Description
`JobInfoServlet()`

### Method Summary

Methods
`protected void` `doGet(org.apache.sling.api.SlingHttpServletRequest request, org.apache.sling.api.SlingHttpServletResponse response)`

### Methods inherited from class org.apache.sling.api.servlets.SlingSafeMethodsServlet

`doGeneric, doHead, doOptions, doTrace, getAllowedRequestMethods, getServletInfo, handleMethodNotImplemented, mayService, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_ENCODING

    public static final String DEFAULT_ENCODING

See Also:
  Constant Field Values

#### DEFAULT_EXT

    public static final String DEFAULT_EXT

See Also:
  Constant Field Values

### Constructor Detail

#### JobInfoServlet

    public JobInfoServlet()

### Method Detail

#### doGet

    protected void doGet(org.apache.sling.api.SlingHttpServletRequest request,
             org.apache.sling.api.SlingHttpServletResponse response)
                  throws javax.servlet.ServletException,
                         IOException

Overrides:
  `doGet` in class `org.apache.sling.api.servlets.SlingSafeMethodsServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`